## prelude-option-wide

prelude-option-wide —

## Synopsis

    #define     PRELUDE_OPTION_REPLY_TYPE_SET
    #define     PRELUDE_OPTION_REPLY_TYPE_GET
    #define     PRELUDE_OPTION_REPLY_TYPE_LIST
    #define     PRELUDE_OPTION_REPLY_TYPE_ERROR
    int         prelude_option_push_request     (prelude_msgbuf_t *msg,
                                                 int type,
                                                 const char *request);
    int         prelude_option_new_request      (prelude_msgbuf_t *msgbuf,
                                                 uint32_t request_id,
                                                 uint64_t *target_id,
                                                 size_t size);
    int         prelude_option_process_request  (prelude_client_t *client,
                                                 prelude_msg_t *msg,
                                                 prelude_msgbuf_t *reply);
    int         prelude_option_recv_reply       (prelude_msg_t *msg,
                                                 uint64_t *source_id,
                                                 uint32_t *request_id,
                                                 void **value);

## Description

## Details

### PRELUDE_OPTION_REPLY_TYPE_SET

    #define PRELUDE_OPTION_REPLY_TYPE_SET   0x01

### PRELUDE_OPTION_REPLY_TYPE_GET

    #define PRELUDE_OPTION_REPLY_TYPE_GET   0x02

### PRELUDE_OPTION_REPLY_TYPE_LIST

    #define PRELUDE_OPTION_REPLY_TYPE_LIST  0x04

### PRELUDE_OPTION_REPLY_TYPE_ERROR

    #define PRELUDE_OPTION_REPLY_TYPE_ERROR 0x08

### prelude_option_push_request ()

    int         prelude_option_push_request     (prelude_msgbuf_t *msg,
                                                 int type,
                                                 const char *request);

`msg` : |
`type` : |
`request` : |
Returns : |

### prelude_option_new_request ()

    int         prelude_option_new_request      (prelude_msgbuf_t *msgbuf,
                                                 uint32_t request_id,
                                                 uint64_t *target_id,
                                                 size_t size);

`msgbuf` : |
`request_id` : |
`target_id` : |
`size` : |
Returns : |

### prelude_option_process_request ()

    int         prelude_option_process_request  (prelude_client_t *client,
                                                 prelude_msg_t *msg,
                                                 prelude_msgbuf_t *reply);

`client` : |
`msg` : |
`reply` : |
Returns : |

### prelude_option_recv_reply ()

    int         prelude_option_recv_reply       (prelude_msg_t *msg,
                                                 uint64_t *source_id,
                                                 uint32_t *request_id,
                                                 void **value);

`msg` : |
`source_id` : |
`request_id` : |
`value` : |
Returns : |